Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.socket.messaging
Class RoutesResponseMessage

    java.lang.Object
      rice.pastry.messaging.Message
          rice.pastry.messaging.PRawMessage
              rice.pastry.socket.messaging.SocketMessage
                  rice.pastry.socket.messaging.RoutesResponseMessage

All Implemented Interfaces:
  java.io.Serializable, Message, RawMessage

    public class RoutesResponseMessage

extends SocketMessage

A response message to a RoutesRequestMessage, containing the remote node's routes.

Version:
  $Id: RoutesResponseMessage.java 3519 2007-01-08 17:57:39Z jeffh $
Author:
  Alan Mislove
See Also:
  Serialized Form

Field Summary
`static short` | `TYPE`

Fields inherited from class rice.pastry.messaging.Message
`DEFAULT_PRIORITY_LEVEL`

Fields inherited from interface rice.p2p.commonapi.Message
`HIGH_PRIORITY, LOW_PRIORITY, MAX_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`RoutesResponseMessage(InputBuffer buf)`
`RoutesResponseMessage(SourceRoute[] routes)` Constructor

Method Summary
`SourceRoute[]` | `getRoutes()` Returns the leafset of the receiver.
`short` | `getType()` Raw Serialization
`void` | `serialize(OutputBuffer buf)`

Methods inherited from class rice.pastry.messaging.Message
`getDate, getDestination, getPriority, getSender, getSenderId, setPriority, setSender, stamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface rice.p2p.commonapi.Message
`getPriority`

Field Detail

### TYPE

    public static final short TYPE

See Also:
  Constant Field Values

Constructor Detail

### RoutesResponseMessage

    public RoutesResponseMessage(SourceRoute[] routes)

  Constructor

  Parameters:
    `leafset` - The leafset of the receiver of the RoutesRequestMessage.

### RoutesResponseMessage

    public RoutesResponseMessage(InputBuffer buf)
                          throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getRoutes

    public SourceRoute[] getRoutes()

  Returns the leafset of the receiver.

  Returns:
    The LeafSet of the receiver node.

### getType

    public short getType()

  Raw Serialization

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.